/* ==== UI_KIT_V1 ==== */

/* video */
.ui-vmd-video-container {border-radius: 12px;}
/* end video */

/* title */
.ui-vmd-title-highlight {position: relative; padding: 8px 24px; margin: 20px 0 0 0;}
.ui-vmd-title-highlight::before {content: ''; position: absolute; left: 0; top: 2px; bottom: 2px; width: 6px; height: calc(100% - 4px); box-sizing: border-box; background-color: #ff5c00; border-radius: 4px;}
/* end title */

/* note */
.ui-vmd-instruction-note-red, 
.ui-vmd-instruction-note-violet, 
.ui-vmd-instruction-note-grey {padding: 1rem 1.5rem; margin: 32px 0 !important; border-radius: 8px; position: relative;}
.ui-vmd-instruction-note-red::before, 
.ui-vmd-instruction-note-violet::before, 
.ui-vmd-instruction-note-grey::before {content: ''; position: absolute; left: 0; top: 0; width: 6px; height: 100%; box-sizing: border-box; border-radius: 4px;}
.ui-vmd-instruction-note-red {background-color: #f9eee7;}
.ui-vmd-instruction-note-violet {background-color: #f1ecf8;}
.ui-vmd-instruction-note-grey {background-color: #f2f2f2;}
.ui-vmd-instruction-note-red::before {background-color: #ff5c00;}
.ui-vmd-instruction-note-violet::before {background-color: #cabcdc;}
.ui-vmd-instruction-note-grey::before {background-color: #bbb;}
/* end note */

/* speakers */
.popup__content .speaker-modal__picture--transparent {background-color: #ffb3b5;}
.popup__content .speaker-modal__image {object-fit: cover !important; offset-position: center; min-height: 210px;}
.doctor-details__picture:has(img[src$="woman-empty.svg"]),
.speaker-modal__picture:has(img[src$="woman-empty.svg"]),
.doctor-details__picture:has(img[src$="man-empty.svg"]),
.speaker-modal__picture:has(img[src$="man-empty.svg"]) {background-color: #e6e6e6;}
.doctor-details__picture {background-color: #ffb3b5;}
.doctor-details--small .doctor-details__picture {width: 130px !important; height: 130px !important; border-radius: 24px; border: none;}
.doctor-details {align-items: center !important;}
.doctor-details--small .doctor-details__content, .doctor-details--small .doctor-details__main {gap: 0 !important;}

/* default */
.ui-vmd-speakers-list-default {display: flex; flex-direction: column; gap: 24px; margin: 12px 0 48px 0;}
.ui-vmd-speakers-list-default .item {display: flex; flex-direction: column; gap: 12px; background-color: #f2f2f2; border-radius: 28px; padding: 16px;}
.ui-vmd-speakers-list-default .item .caption b {color: #6134aa;}
/* number */
.ui-vmd-speakers-list-number {display: flex; flex-direction: column; margin: 0; padding: 12px 0 32px 50px !important; gap: 12px;}
.ui-vmd-speakers-list-number .item {display: flex; flex-direction: column; gap: 12px; background-color: #f2f2f2; border-radius: 28px; padding: 16px; position: relative;}
.ui-vmd-speakers-list-number .item .number {color: #555; font-size: 24px; position: absolute; top: 16px; left: -50px; transition: color .3s ease;}
.ui-vmd-speakers-list-number .item:hover .number {color: #ff5c00;}
.ui-vmd-speakers-list-number .item .caption b {color: #6134aa;}
/* timeline */
.ui-vmd-speakers-list-timeline {display: flex; flex-direction: column; margin: 0; padding: 12px 0 32px 0!important; gap: 12px;}
.ui-vmd-speakers-list-timeline .item {display: flex; flex-direction: row; gap: 12px;}
.ui-vmd-speakers-list-timeline .item .date {color: #555; font-size: 14px; line-height: 100%; transition: color .3s ease; display: flex; flex-direction: column; gap: 8px; padding-top: 20px;}
.ui-vmd-speakers-list-timeline .item .date b {color: #6134aa; font-size: 20px; white-space: nowrap;}
.ui-vmd-speakers-list-timeline .item:hover .date b {color: #ff5c00;}
.ui-vmd-speakers-list-timeline .ui-vmd-sl-wrap {display: flex; flex-direction: column; gap: 12px; width: 100%; background-color: #f2f2f2; border-radius: 28px; padding: 24px; position: relative;}
@media screen and (max-width: 960px) {
    .ui-vmd-speakers-list-number {padding: 12px 0 32px 40px !important;}
    .ui-vmd-speakers-list-number .item .number {left: -40px;}
    .ui-vmd-speakers-list-timeline .item {flex-direction: column; gap: 12px;}
    .ui-vmd-speakers-list-timeline .item .date {flex-direction: row; justify-content: space-between;}
    .ui-vmd-speakers-list-timeline .ui-vmd-sl-wrap {padding: 16px;}
    .speaker-modal__picture--transparent {width: 100%; }
}
/* end speakers */

/* constructor-form */
[data-type="detail_event"] .popup__title {text-transform: initial;}
[data-type="detail_event"] .md-constructor-form {display: flex; flex-direction: row; flex-wrap: wrap; justify-content: space-between;}
[data-type="detail_event"] .md-constructor-form__field {width: 100%;}
[data-type="detail_event"] .md-constructor-form__field:nth-child(4),
[data-type="detail_event"] .md-constructor-form__field:nth-child(5),
[data-type="detail_event"] .md-constructor-form__field:nth-child(6),
[data-type="detail_event"] .md-constructor-form__field:nth-child(7),
[data-type="detail_event"] .md-constructor-form__field:nth-child(8),
[data-type="detail_event"] .md-constructor-form__field:nth-child(9),
[data-type="detail_event"] .md-constructor-form__field:nth-child(10) {width: 48%;}
[data-type="detail_event"] .md-constructor-form__label {text-transform: initial; margin-bottom: 0; line-height: 120%;}
[data-type="detail_event"] .md-constructor-form__checkbox label {line-height: 140%;}
@media screen and (max-width: 960px) {
    [data-type="detail_event"] .md-constructor-form__field {width: 100% !important;}
}
/* end constructor-form */

/* ==== UI_KIT_V2 ==== */

/* promo price */
.ui-vmd-promo-price {display: flex; flex-direction: column; gap: 24px; padding: 24px; background-color: #f2f2f2; border-radius: 24px;}
.ui-vmd-promo-price__head {display: flex; flex-direction: column;}
.titlae {padding: 0 0 24px 0 !important; margin: 0 !important; font-size: 32px;}
.ui-vmd-promo-price__head .description {color: #555; margin-bottom: -16px; display: none;}
.ui-vmd-promo-price__list-items {display: grid; grid-template-columns: repeat(3, 1fr); gap: 24px;}
.ui-vmd-promo-price__list-items .item {padding: 24px; background-color: #fff; border-radius: 16px; display: flex; flex-direction: column; gap: 16px;}
.ui-vmd-promo-price__list-items .item .count {font-size: 48px; padding: 16px 0; color: #ddd; font-weight: 700; display: none;}
.ui-vmd-promo-price__list-items .item .title {font-size: 20px; font-weight: 500; color: #523189;}
.disclaimer {display: flex; flex-direction: row; align-items: end; gap: 32px; margin: 0 !important;}
.disclaimer .caption b {font-size: 18px;}
.disclaimer .button-ui {white-space: nowrap;}
@media (max-width: 960px) {
    .ui-vmd-promo-price {gap: 24px; border-radius: 0; margin: 0 -19px;}
    .ui-vmd-promo-price__head .title {font-size: 24px;}
    .ui-vmd-promo-price__list-items {grid-template-columns: 1fr; gap: 16px;}
    .ui-vmd-promo-price__list-items .item .count {padding: 8px;}
    .disclaimer {flex-direction: column; gap: 24px;}
    .disclaimer .button-ui {width: 100%; justify-content: center;}
}
/* end promo price */

/* note */
.ui-vmd-instruction-note-red,
.ui-vmd-instruction-note-violet,
.ui-vmd-instruction-note-grey {padding: 24px; margin: 32px 0 !important; border-radius: 8px 24px 24px 8px; position: relative;}
.ui-vmd-instruction-note-red::before,
.ui-vmd-instruction-note-violet::before,
.ui-vmd-instruction-note-grey::before {content: ''; position: absolute; left: 0; top: 0; width: 6px; height: 100%; box-sizing: border-box; border-radius: 4px;}
.ui-vmd-instruction-note-red {background-color: #f9eee7;}
.ui-vmd-instruction-note-violet {background-color: #f1ecf8;}
.ui-vmd-instruction-note-grey {background-color: #f2f2f2;}
.ui-vmd-instruction-note-red::before {background-color: #ff5c00;}
.ui-vmd-instruction-note-violet::before {background-color: #cabcdc;}
.ui-vmd-instruction-note-grey::before {background-color: #bbb;}
/* end note */

/* table */
.ui-vmd-tbl-wrap {overflow-x: auto; border-radius: 24px; border: 2px solid #775d99;}
.ui-vmd-tbl-wrap table {width: 100%; border-collapse: separate; border: 0; border-spacing: 0; font-size: 13px !important; padding: 0 !important;}
.ui-vmd-tbl-wrap table img {width: 100% !important; max-width: 80px !important; min-width: 80px !important;}
.ui-vmd-tbl-wrap thead {position: sticky; top: 0; z-index: 50;}
.ui-vmd-tbl-wrap th {background: #775d99; color: #523189 !important; padding: 12px 10px; text-align: center; font-weight: 600; white-space: nowrap; border-bottom: 1px solid #9080a4 !important; position: sticky; top: 0; z-index: 10; background-clip: padding-box;}
.ui-vmd-tbl-wrap th:first-child {position: sticky; left: 0; padding: 12px 10px 12px 16px; z-index: 51; background: #775d99; border-right: 1px solid #9080a4; font-weight: 600; color: #fff !important; min-width: 200px;}
.ui-vmd-tbl-wrap th a {display: inline-block; padding: 6px; min-height: auto; font-weight: 500; font-size: 12px;}
.ui-vmd-tbl-wrap th a:hover {background: rgba(54, 7, 95, 0.26); color: #fff !important;}
.ui-vmd-tbl-wrap td {padding: 10px 10px; border-bottom: 1px solid #eee; text-align: center; vertical-align: middle; min-width: 80px; word-wrap: break-word; background: white; transition: background 0.15s;}
.ui-vmd-tbl-wrap td:first-child {background: #f8f0f8; padding: 10px 10px 10px 16px; font-weight: 600; color: #523189; position: sticky; left: 0; z-index: 5; border-right: 1px solid #9080a4; min-width: 200px; white-space: nowrap;}
.ui-vmd-tbl-wrap tbody tr:nth-child(even) td {background: #f9f7f9;}
.ui-vmd-tbl-wrap tbody tr:nth-child(even) td:first-child {background: #f0e8f0;}
.ui-vmd-tbl-wrap::-webkit-scrollbar {height: 8px;}
.ui-vmd-tbl-wrap::-webkit-scrollbar-thumb {background: #cabcdc; border-radius: 4px;}
.ui-vmd-tbl-wrap::-webkit-scrollbar-track {background: #f0e8f0; border-radius: 4px;}
.ui-vmd-table-navigation {display: flex; flex-direction: row; justify-content: space-between; margin: -24px 0 0 0;}
.ui-vmd-table-navigation .button-ui {min-height: 40px;}
@media (max-width: 960px) {
    .ui-vmd-tbl-wrap table {font-size: 11px; min-width: 900px;}
    .ui-vmd-tbl-wrap th, .ui-vmd-tbl-wrap td {padding: 5px !important;}
    .ui-vmd-tbl-wrap th:first-child, .ui-vmd-tbl-wrap td:first-child {min-width: 120px !important; max-width: 120px !important; hyphens: auto; white-space: initial; word-break: break-word; line-height: 120%;}
}
/* end table */

/* title */
.ui-vmd-title-highlight {position: relative; padding: 8px 24px; margin: 20px 0 0 0;}
.ui-vmd-title-highlight::before {content: ''; position: absolute; left: 0; top: 2px; bottom: 2px; width: 6px; height: calc(100% - 4px); box-sizing: border-box; background-color: #ff5c00; border-radius: 4px;}
.ui-vmd-title-highlight .sub-caption {display: block; text-transform: initial; padding: 4px 0 0 0; font-size: 16px; line-height: 130%; font-weight: 500; color: #555; letter-spacing: initial;}
/* end title */


/* note */
.ui-vmd-instruction-note-red,
.ui-vmd-instruction-note-violet,
.ui-vmd-instruction-note-grey {padding: 24px; margin: 32px 0 !important; border-radius: 8px 24px 24px 8px; position: relative;}
.ui-vmd-instruction-note-red::before,
.ui-vmd-instruction-note-violet::before,
.ui-vmd-instruction-note-grey::before {content: ''; position: absolute; left: 0; top: 0; width: 6px; height: 100%; box-sizing: border-box; border-radius: 4px;}
.ui-vmd-instruction-note-red {background-color: #f9eee7;}
.ui-vmd-instruction-note-violet {background-color: #f1ecf8;}
.ui-vmd-instruction-note-grey {background-color: #f2f2f2;}
.ui-vmd-instruction-note-red::before {background-color: #ff5c00;}
.ui-vmd-instruction-note-violet::before {background-color: #cabcdc;}
.ui-vmd-instruction-note-grey::before {background-color: #bbb;}
/* end note */

/* SERVICES */
.ui-vmd-reset-ul {margin: 0 !important; padding: 0 0 8px 0 !important;}
.ui-vmd-reset-ul li {margin-bottom: 8px !important;}

.ui-vmd-section-grid-2 {display: grid; grid-template-columns: repeat(2, 1fr); gap: 32px;}
.ui-vmd-section-grid-3 {display: grid; grid-template-columns: repeat(3, 1fr); gap: 24px;}


/* section-highlight */
.ui-vmd-section-highlight-red {background-color: #fcecec}
.ui-vmd-section-highlight-grey {background-color: #f2f2f2}
.ui-vmd-section-highlight-grey-border {background-color: #fff; border: 2px solid #ddd;}
.ui-vmd-section-highlight-green {background-color: #e6ecdd}
.ui-vmd-section-highlight-red,
.ui-vmd-section-highlight-grey,
.ui-vmd-section-highlight-grey-border,
.ui-vmd-section-highlight-green {padding: 24px; border-radius: 32px;}
.ui-vmd-section-highlight-green .ui-vmd-title-highlight::before {background-color: #689e11;}
/* end section-highlight */

/* ui-vmd-list-mode */
.ui-vmd-list-mode {display: flex; flex-direction: column; gap: 12px; margin: 0 !important; padding: 4px 0 16px 0 !important;}
.ui-vmd-list-mode li {line-height: 120%; margin: 0 !important; padding: 0 !important; display: flex; flex-direction: row; gap: 12px;}
.ui-vmd-list-style-ok li::after, .ui-vmd-list-style-no li::after {display: none;}

.ui-vmd-list-mode .icon {width: 16px; height: 16px; margin-top: 1px; display: flex; flex-shrink: 0; background-position: 50% 50%; background-repeat: no-repeat; background-size: contain;}
.ui-vmd-list-style-ok .icon {background-image: url("/local/templates/mamadeti/static/images/kit/ui-vmd-icon-ok.svg");}
.ui-vmd-list-style-no .icon {background-image: url("/local/templates/mamadeti/static/images/kit/ui-vmd-icon-no.svg");}
/* end ui-vmd-list-mode */

/* ui-vmd-grid-items-style */
.ui-vmd-grid-items-style {padding: 24px; background-color: #f2f2f2; border-radius: 24px;}
.ui-vmd-grid-items-style .item {padding: 24px; background-color: #fff; border-radius: 16px; display: flex; flex-direction: column; gap: 16px;}
.ui-vmd-grid-items-style .item .title {font-size: 20px; font-weight: 500; color: #523189;}
.ui-vmd-grid-items-style .item .title a {color: #ff5c00 !important; background-image: linear-gradient(currentColor); background-repeat: no-repeat; background-position: 0 100%; background-size: 0% 2px; transition: background-size 0.3s ease;}
.ui-vmd-grid-items-style .item .title a:hover {text-decoration: none !important; color: #ff5c00 !important; background-size: 100% 2px;}
.ui-vmd-grid-items-style .item .count {font-size: 32px; padding: 8px 0; color: #ddd; font-weight: 700;}
/* end ui-vmd-grid-items-style */

/* ui-vmd-tags-cloud */
.ui-vmd-tags-cloud {display: flex; flex-direction: row; flex-wrap: wrap; gap: 12px 16px; padding: 0 0 0 0;}
.ui-vmd-tags-cloud .item {background-color: #f2f2f2; border-radius: 100px; line-height: 100%; display: flex; padding: 12px 16px;}
/* end ui-vmd-tags-cloud */


@media (max-width: 960px) {
    .ui-vmd-section-grid-2 {grid-template-columns: 1fr;}
    .ui-vmd-section-item {padding: 0 !important;}
    .ui-vmd-section-50-50 {grid-template-columns: 1fr; padding: 0 0 32px 0;}
    .ui-vmd-section-grid-3 {grid-template-columns: 1fr; border-radius: 0; margin: 0 -19px;}
}
/* END SERVICES */